/**
  *  \file util.c
  *  \brief Random utility functions
  *
  *  (c) copyright 2001 Stefan Reuther, Thomas Klebes.
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of the GNU General Public License
  *  version 2, as published by the Free Software Foundation.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  *  GNU General Public License for more details.
  *
  *  You should have received a copy of the GNU General Public License
  *  along with this program; if not, write to the Free Software
  *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
  */

#include <ctype.h>
#include "mfq.h"

/** Compare two strings for equality, case-insensitive */
int
StrEq(const char* src, const char* dest)
{
    while (*src)
        if (tolower(*src++) != tolower(*dest++))
            return 0;
    return *dest == 0;
}
